/*
 * Created on 25.11.2005
 * Trida Kosticka
 */
package had;

import java.awt.Color;
import java.awt.Graphics;

/**
 * @author fsramej1 Trida jejiz instance je kostickou hada
 */
public class Kosticka {
	private int x, y;

	private int a = 13;

	/**
	 * 
	 * Konstruktor tridy, nastavi pozici kosticky
	 * 
	 * @param x
	 *            X souradnice
	 * @param y
	 *            Y souradnice
	 */
	public Kosticka(int x, int y) {
		this.x = x;
		this.y = y;
	}

	/**
	 * Metoda vykreslujici kosticku, urcuje jeji vzhled
	 * 
	 * @param g
	 *            Cil vykresleni
	 */
	public void kresli(Graphics g) {
		// oramovana bila kosticka
		g.setColor(new Color(255, 255, 255));
		g.fillRect((x * 13) - 4, (y * 13) - 6, a, a);
		g.setColor(new Color(0, 0, 0));
		g.drawRect((x * 13) - 4, (y * 13) - 6, a, a);
	}

	/**
	 * Vrati X souradnici kosticky
	 * 
	 * @return X souradnice
	 */
	public int getX() {
		return this.x;
	}

	/**
	 * Vrati Y souradnici kosticky
	 * 
	 * @return Y souradnice
	 */
	public int getY() {
		return this.y;
	}

}