/*
 * Created on 25.11.2005
 * Trida Prvek
 * Vytvoreno podle prikladu z prednasky o spojovych seznamech
 */
package had;

/**
 * @author fsramej1 Trida jejiz instanci je blize neurceny prvek
 */
public class Prvek {

	private Object hodnota;

	private Prvek dalsi;

	/**
	 * Konstruktor prvku
	 * 
	 * @param hodnota
	 *            Hodnota prvku
	 */
	public Prvek(Object hodnota) {
		this.hodnota = hodnota;
		dalsi = null;
	}

	/**
	 * Vrati dalsi prvek v poradi
	 * 
	 * @return Dalsi prvek
	 */
	public Prvek getDalsi() {
		return dalsi;
	}

	/**
	 * Nastavi jaky bude nasledujici prvek v poradi
	 * 
	 * @param dalsi
	 *            Dalsi prvek v poradi
	 */
	public void setDalsi(Prvek dalsi) {
		this.dalsi = dalsi;
	}

	/**
	 * Vrati hodnotu prvku
	 * 
	 * @return Hodnota prvku
	 */
	public Object getHodnota() {
		return hodnota;
	}

	/**
	 * Nastavi hodnotu prvku
	 * 
	 * @param hodnota
	 *            Hodnota prvku
	 */
	public void setHodnota(Object hodnota) {
		this.hodnota = hodnota;
	}
}