/*
 * Created on 26.11.2005
 * Trida Jidlo
 */
package had;

import java.awt.Color;
import java.awt.Graphics;

/**
 * @author fsramej1 Trida jejiz instance je puntikem jidla
 */
public class Jidlo {
	private int x, y;

	private int a = 13;

	/**
	 * Konstruktor, nastavi pozici jidla
	 * 
	 * @param x
	 *            X souradnice
	 * @param y
	 *            Y souradnice
	 */
	public Jidlo(int x, int y) {
		this.x = x;
		this.y = y;
	}

	/**
	 * Metoda vykreslujici jidlo, urcuje jeho vzhled
	 * 
	 * @param g
	 */
	public void kresli(Graphics g) {
		// modry puntik
		g.setColor(new Color(80, 80, 255));
		g.fillOval((x * 13) - 4, (y * 13) - 6, a, a);
	}

	/**
	 * Vrati X souradnici jidla
	 * 
	 * @return X souradnice
	 */
	public int getX() {
		return this.x;
	}

	/**
	 * Vrati Y souradnici jidla
	 * 
	 * @return Y souradnice
	 */
	public int getY() {
		return this.y;
	}
}