/*
 * Created on 25.11.2005
 * Trida RunThread
 */
package had;

/**
 * @author fsramej1 Trida jejiz instanci tvori thread obsluhujici periodicky
 *         pohyb hada po plose
 */
public class RunThread extends Thread {

	private static final int TIMEOUT = 100;

	private Back back;

	/**
	 * Konstruktor threadu, vytvori instanci hraci plochy
	 *  
	 */
	public RunThread() {
		back = new Back();
	}

	/**
	 * Metoda run - cyklus pohybujici hadem v urcenem casovem intervalu
	 */
	public void run() {
		do {
			while (!back.getHad().getKonec()) {
				try {
					Thread.sleep(TIMEOUT);
					if (back.getHad().getSmer() == 1) {
						back.doleva();
					} else if (back.getHad().getSmer() == 2) {
						back.doprava();
					} else if (back.getHad().getSmer() == 3) {
						back.nahoru();
					} else if (back.getHad().getSmer() == 4) {
						back.dolu();
					}
				} catch (InterruptedException interruptedexception) {
				}
			}
			back.smazBack();
			back.getHad().setAktivni(false);
			suspend();
		} while (true);
	}

	/**
	 * Vrati instanci hraci plochy
	 * 
	 * @return Instance hraci plochy
	 */
	public Back getBack() {
		return back;
	}
}